// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserCreateDefault An unexpected error response

swagger:response userCreateDefault
*/
type UserCreateDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserCreateDefault creates UserCreateDefault with default headers values
func NewUserCreateDefault(code int) *UserCreateDefault {
	if code <= 0 {
		code = 500
	}

	return &UserCreateDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user create default response
func (o *UserCreateDefault) WithStatusCode(code int) *UserCreateDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user create default response
func (o *UserCreateDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user create default response
func (o *UserCreateDefault) WithPayload(payload *models.Error) *UserCreateDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user create default response
func (o *UserCreateDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserCreateDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
